/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN
  EXECUTE IMMEDIATE 'DROP TYPE xxas_com_data_info_table';
  EXECUTE IMMEDIATE 'DROP TYPE xxas_com_data_info_type';
EXCEPTION
  WHEN e_obj_not_exists THEN
    NULL;
END;
/

CREATE OR REPLACE TYPE xxas_com_data_info_type AS OBJECT
  (data_id             NUMBER
  ,comments            VARCHAR2(4000)
  ,data_action_details XMLTYPE
  ,approver_role       VARCHAR2(320))
/
  
CREATE OR REPLACE TYPE xxas_com_data_info_table IS
TABLE OF xxas_com_data_info_type
/

COMMIT;
EXIT;
